Bug 240674 - www/glassfish: Update to Eclipse-glassfish 5.1.0
Summary: www/glassfish: Update to Eclipse-glassfish 5.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes M Dieterich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-19 02:07 UTC by Pedro F. Giffuni
Modified: 2019-09-23 20:31 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (cjr)


Attachments
update patch against glassfish (4) (82.40 KB, patch)
2019-09-19 02:07 UTC, Pedro F. Giffuni
no flags Details | Diff
Update against glassfish5 (72.23 KB, patch)
2019-09-19 05:35 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2019-09-19 02:07:50 UTC
Created attachment 207610 [details]
update patch against glassfish (4)

We currently ship glassfish 4 and have glassfish5 as an independent port.

The news is Java EE was donated to the Eclipse Foundation and they have released Eclipse GlassFish 5.1.0, so perhaps it is better to point there from now on.

Disclaimer: I don't use this so someone that knows better should review.
Comment 1 Johannes M Dieterich freebsd_committer 2019-09-19 03:39:10 UTC
Can you regenerate against the glassfish5 port? I'd like to use that as a staging area before proposing the glassfish port be updated. At that point we may want to retain glassfish4 to support deployments going forward. Thanks!
Comment 2 Pedro F. Giffuni freebsd_committer 2019-09-19 05:35:56 UTC
Created attachment 207611 [details]
Update against glassfish5

OK... I actually started from the glassfish5 port for the update :).

Note that you should take a look at GLASSFISH_BIN_FILES. I didn't really look at those and they may have changed.
Comment 3 commit-hook freebsd_committer 2019-09-22 01:17:15 UTC
A commit references this bug:

Author: jmd
Date: Sun Sep 22 01:16:52 UTC 2019
New revision: 512546
URL: https://svnweb.freebsd.org/changeset/ports/512546

Log:
  www/glassfish5: update to 5.1.0

  5.1.0 is the first release under Eclipse Foundation stewardship.

  Release notes: https://eclipse-ee4j.github.io/glassfish/docs/5.1.0/release-notes/preface.html

  PR:		240674
  Submitted by:	pfg@ (minor adaptations)

Changes:
  head/www/glassfish5/Makefile
  head/www/glassfish5/distinfo
  head/www/glassfish5/pkg-descr
  head/www/glassfish5/pkg-plist
Comment 4 Johannes M Dieterich freebsd_committer 2019-09-22 01:19:34 UTC
Thanks, committed!
Comment 5 Pedro F. Giffuni freebsd_committer 2019-09-22 15:24:29 UTC
For the record:
The github repository 
https://github.com/eclipse-ee4j/glassfish

states the requirement is JDK8+, and the tests are usually done with Oracle JDK 8, so I think whil JDK11 is desirable, the stirct requirement should be 8+.
Comment 6 Pedro F. Giffuni freebsd_committer 2019-09-23 20:31:14 UTC
More clearly, from the release notes:

https://eclipse-ee4j.github.io/glassfish/docs/5.1.0/release-notes/release-notes.html#GSRLN00246

Required JDK Versions

Eclipse GlassFish Server Release 5.1 requires Oracle JDK 8 Update 144 or later.